=== debian/control ===
Source: freeimage
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-autoreconf,
 libjpeg-dev,
 liblcms2-dev,
 libmng-dev,
 libopenexr-dev,
 libopenjpeg-dev,
 libpng-dev,
 libraw-dev,
 pkg-config,
 tofrodos,
 zlib1g-dev
Standards-Version: 3.9.2
Section: libs
DM-Upload-Allowed: yes
Homepage: http://freeimage.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/freeimage.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/freeimage.git

Package: libfreeimage-dev
Section: libdevel
Architecture: any
Depends: libfreeimage3 (= ${binary:Version}), ${misc:Depends}
Description: Support library for graphics image formats (development files)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the headers and static libraries needed to develop
 programs using FreeImage.

Package: libfreeimage3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support library for graphics image formats (library)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the FreeImage library.

Package: libfreeimage3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfreeimage3 (= ${binary:Version}), ${misc:Depends}
Description: Support library for graphics image formats (debugging symbols)
 FreeImage is an Open Source C/C++ library project for developers who would
 like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
 and others as needed by today's multimedia applications. FreeImage is
 easy to use, fast, multithreading safe, and cross-platform (works both
 with Linux, 32 bit Windows and Mac OS X).
 .
 This package contains the debugging symbols for the FreeImage library.
