=== debian/changelog ===
freeimage (3.15.4-3ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/Fix-CVE-2016-5684.patch: Fix out-of-bounds write
      vulnerability in the XMP image handling functionality
    - CVE-2016-5684

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 28 Mar 2019 11:50:15 -0400

freeimage (3.15.4-3) unstable; urgency=low

  * QA upload.
  * disable_embedded_libraries.patch
    - Use system libtiff (Closes: #735249)
      Thanks to Sabayon from Gentoo for the hints
  * tag_truncation.patch
    - Cherry pick upstream fix for truncation of tags in TIFF files
      Thanks to Julian Taylor (Closes: #735847)

 -- Scott Howard <showard@debian.org>  Sun, 19 Jan 2014 21:44:52 -0500

freeimage (3.15.4-2) unstable; urgency=low

  * Fix FTBFS from declaring UINT64 twice
    - updated debian/patches/fixes_ftbfs_amd64.patch

 -- Scott Howard <showard@debian.org>  Tue, 14 Jan 2014 11:51:54 -0500

freeimage (3.15.4-1) unstable; urgency=low

  * QA Upload
  * New upstream minor release 
    - Includes fix to build on !linux (Closes: #650485)
  * Refreshed patches (line endings had to change)
    - Remove document-mode.patch (accepted upstream)
  * Lintian fixes: S-V 3.9.5, DM-Upload-Allowed removed
  * Remove document-mode.patch (accepted upstream)

 -- Scott Howard <showard@debian.org>  Mon, 13 Jan 2014 21:57:45 -0500

freeimage (3.15.1-2) unstable; urgency=low

  * QA upload.
  * debian/patches/document-mode.patch:
    - Fix FTBFS with LibRaw 0.15 (Closes: #710133).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Jul 2013 11:22:37 +0200
