=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: freeimage
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 8),
  dh-autoreconf,
@@ -11,12 +12,12 @@
  libopenjpeg-dev,
  libpng-dev,
  libraw-dev,
+ libtiff-dev,
  pkg-config,
  tofrodos,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: libs
-DM-Upload-Allowed: yes
 Homepage: http://freeimage.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/freeimage.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/freeimage.git
