=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -fPIC
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fPIC
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with=autoreconf

gen-src-list:
	fromdos gensrclist.sh
	fromdos genfipsrclist.sh
	sh gensrclist.sh
	sh genfipsrclist.sh

override_dh_autoreconf:
	dh_autoreconf $(MAKE) -- -f $(CURDIR)/debian/rules gen-src-list

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -f Makefile.fip CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	mkdir -p debian/tmp/usr/include
	mkdir -p debian/tmp/usr/lib
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -f Makefile.fip install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -f Makefile.fip clean

override_dh_installdocs:
	dh_installdocs extra.Debian/*

override_dh_installchangelogs:
	dh_installchangelogs Whatsnew.txt

override_dh_strip:
	dh_strip --dbg-package=libfreeimage3-dbg

get-orig-source:
	$(dir $_)freeimage-get-orig-source
