## freeimage 3.17.0+ds1

=== debian/changelog ===
freeimage (3.17.0+ds1-5build2) artful; urgency=medium

  * No-change rebuild against libwebpmux3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Jul 2017 03:55:40 +0000

freeimage (3.17.0+ds1-5build1) zesty; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 19:00:18 -0500
