## freeimage 3.18.0%2Bds2

=== debian/changelog ===
freeimage (3.18.0+ds2-1ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2019-12211-13.patch: Fix heap buffer
      overflow caused by invalid memcpy in PluginTIFF and stack
      exhaustion caused by unwanted recursion in ReadThumbnail.
    - CVE-2019-12211
    - CVE-2019-12213
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2020-21427_*: fix buffer overflow in PluginBMP
    - CVE-2020-21427
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2020-21428_*: fix buffer overflow in PluginDDS
    - CVE-2020-21428
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2020-22524_*: fix buffer overflow in PluginPFM
    - CVE-2020-22524

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 10 Jan 2024 18:08:18 +0100

freeimage (3.18.0+ds2-1ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:03:52 +0100

freeimage (3.18.0+ds2-1ubuntu2) focal; urgency=medium

  * No-change rebuild against libilmbase24 and libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:16:12 +0000

freeimage (3.18.0+ds2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/Use-system-jpeg_read_icc_profile.patch: Use
      jpeg_read_icc_profile() from libjpeg.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 17:31:34 -0800

freeimage (3.18.0+ds2-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Jan 2019 16:45:35 +0100

freeimage (3.18.0+ds2-1~exp1) experimental; urgency=medium

  [ Andreas Tille ]
  * [6aa4ac3] New upstream version 3.18.0+ds1
  * [7de4a2a] Refresh patches

  [ Anton Gladky ]
  * [61b38c4] Update d/copyright
  * [1f3f566] New upstream version 3.18.0+ds2
  * [4586d3b] Refresh patches
  * [7ca9b46] Update -docs
  * [b8ae146] Use standards-version 4.2.1

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Jan 2019 16:45:20 +0100

freeimage (3.17.0+ds1-6) unstable; urgency=medium

  * Team upload.
  * Drop redundant Testsuite: autopkgtest
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop explicit -dbg packages

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jul 2018 04:52:29 +0200

freeimage (3.17.0+ds1-5ubuntu1) disco; urgency=medium

  * debian/patches/Use-system-jpeg_read_icc_profile.patch: Use
    jpeg_read_icc_profile() from libjpeg.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 21:03:57 -0800

freeimage (3.17.0+ds1-5build4) disco; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Nov 2018 16:34:31 -0500

freeimage (3.17.0+ds1-5build3) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 May 2018 14:06:57 -0400
