=== debian/changelog ===
freeimage (3.18.0+ds2-10build4) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Apr 2024 05:59:27 +0000

freeimage (3.18.0+ds2-10build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:00:20 +0000

freeimage (3.18.0+ds2-10build2) noble; urgency=medium

  * No-change rebuild against libimath-3-1-29t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 16:08:04 +0000

freeimage (3.18.0+ds2-10build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:32:46 +0000

freeimage (3.18.0+ds2-10) unstable; urgency=medium

  * Team upload
  * Fix CVE-2020-21427 with upstream patches
  * Fix CVE-2020-21428 with upstream patch
  * Fix CVE-2020-22524 with upstream patch

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 14:50:01 +0000

freeimage (3.18.0+ds2-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with LibRaw 0.21. (Closes: #1040259)
  * Add upstream fix for compilation on big endian. (Closes: #1002610)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Jul 2023 00:29:00 +0300

freeimage (3.18.0+ds2-9) unstable; urgency=medium

  * Team upload.
  * The -dev packages are Multi-Arch:same (Closes: #1023696)

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Feb 2023 23:56:16 -0800

freeimage (3.18.0+ds2-8) unstable; urgency=medium

  [ Anton Gladky ]
  * [1216cab] Set Standards-Version: 4.6.1

  [ Mathieu Malaterre ]
  * [e6f1f63] d/patches: Refresh patch to handle openexr 3.x split.
    (Closes: #1017512)

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Aug 2022 23:39:55 +0200

freeimage (3.18.0+ds2-7) unstable; urgency=medium

  [ Steve Langasek ]
  * [242e474] Use jpeg_read_icc_profile() from libjpeg.

  [ Anton Gladky ]
  * [7fdce91] Update to the new ffmpeg_4.4.0+. (Closes: #1011416, #1011710)
  * [53c97ea] Update .gitlab-ci.yml
  * [2184c25] Update standards version to 4.6.0, no changes needed.
  * [d32e2a2] Avoid explicitly specifying -Wl,--as-needed linker flag.
  * [9060df4] Update watch file format version to 4.
  * [e40bdff] Drop unnecesary build version restrictions

 -- Anton Gladky <gladk@debian.org>  Thu, 26 May 2022 13:31:41 +0200

freeimage (3.18.0+ds2-6) unstable; urgency=medium

  * [cf6ffd2] Fix FTBFS against libraw 0.20.0. (Closes: #968637)
  * [09d8830] Set compat-level to 13
  * [d09f8b8] Install *.a files

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Aug 2020 23:31:08 +0200

freeimage (3.18.0+ds2-5) unstable; urgency=medium

  * [bef22ed] Revert "Add Rules-Requires-Root: no"

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jul 2020 19:40:05 +0200

freeimage (3.18.0+ds2-4) unstable; urgency=medium

  * [d2fd1a9] Add debian/.gitlab-ci.yml
  * [0dbdc38] Fix compilation due to external-static mismatch. (Closes: #964653)
  * [a244b61] Respect CPPFLAGS
  * [736ea7b] Update standards version to 4.5.0, no changes needed.
  * [e86eeb9] Add Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jul 2020 23:05:20 +0200

freeimage (3.18.0+ds2-3) unstable; urgency=medium

  [ Hugo Lefeuvre ]
  * CVE-2019-12213: stack exhaustion caused by unwanted recursion in
    ReadThumbnail (Closes: #929597).
  * CVE-2019-12211: heap buffer overflow caused by invalid memcpy in
    PluginTIFF.

  [ Anton Gladky ]
  * [2a2e206] Bump debhelper from old 11 to 12.
  * [044ea9c] Set debhelper-compat version in Build-Depends.
  * [f776923] Set Standards-Version to 4.4.1. No changes
  * [5417d72] Replace ADTTMP by AUTOPKGTEST_TMP

 -- Anton Gladky <gladk@debian.org>  Tue, 31 Dec 2019 20:58:58 +0100
