=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dos2unix,
                libjpeg-dev,
                libjxr-dev,
@@ -18,17 +18,17 @@
                pkg-config,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/freeimage.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/freeimage.git
-Homepage: http://freeimage.sourceforge.net/
-Testsuite: autopkgtest
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/science-team/freeimage
+Vcs-Git: https://salsa.debian.org/science-team/freeimage.git
+Homepage: https://freeimage.sourceforge.net/
 
 Package: libfreeimage-dev
 Architecture: any
 Section: libdevel
 Depends: libfreeimage3 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Support library for graphics image formats (development files)
  FreeImage is an Open Source C/C++ library project for developers who would
  like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
@@ -54,31 +54,14 @@
  .
  This package contains the FreeImage library.
 
-Package: libfreeimage3-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libfreeimage3 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Support library for graphics image formats (debugging symbols)
- FreeImage is an Open Source C/C++ library project for developers who would
- like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
- and others as needed by today's multimedia applications. FreeImage is
- easy to use, fast, multithreading safe, and cross-platform (works both
- with Linux, 32 bit Windows and Mac OS X).
- .
- This package contains the debugging symbols for the FreeImage library.
-
 Package: libfreeimageplus-dev
 Architecture: any
 Section: libdevel
-Depends: libfreeimage-dev (>= 3.17.0+ds1-1~exp2),
+Depends: libfreeimage-dev,
          libfreeimageplus3 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libfreeimageplus-doc
-Breaks: libfreeimage-dev (<< 3.17.0+ds1-1~exp2)
-Replaces: libfreeimage-dev (<< 3.17.0+ds1-1~exp2)
+Multi-Arch: same
 Description: C++ wrappers for FreeImage (development files)
  FreeImage is an Open Source C/C++ library project for developers who would
  like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
@@ -94,6 +77,7 @@
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery
+Multi-Arch: foreign
 Description: C++ wrappers for FreeImage (documentation)
  FreeImage is an Open Source C/C++ library project for developers who would
  like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
@@ -117,19 +101,3 @@
  with Linux, 32 bit Windows and Mac OS X).
  .
  This package contains the FreeImagePlus library.
-
-Package: libfreeimageplus3-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libfreeimageplus3 (= ${binary:Version}),
-         ${misc:Depends}
-Description: C++ wrappers for FreeImage (debugging symbols)
- FreeImage is an Open Source C/C++ library project for developers who would
- like to support popular graphics image formats like PNG, BMP, JPEG, TIFF
- and others as needed by today's multimedia applications. FreeImage is
- easy to use, fast, multithreading safe, and cross-platform (works both
- with Linux, 32 bit Windows and Mac OS X).
- .
- This package contains the debugging symbols for the FreeImagePlus library.
