=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic -fPIC
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -fPIC
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # See Bug-Debian #845279.
 include /usr/share/dpkg/architecture.mk
@@ -34,8 +33,8 @@
 	dh_autoreconf $(MAKE) -- -f $(CURDIR)/debian/rules gen-src-list
 
 override_dh_auto_build-arch:
-	$(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
-	$(MAKE) -f Makefile.fip CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	$(MAKE) -f Makefile.fip CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_build-indep:
 	cd $(CURDIR)/Wrapper/FreeImagePlus/doc && doxygen FreeImagePlus.dox
@@ -50,11 +49,11 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "Building and running the FreeImage testsuite..."
 	cd $(CURDIR)/TestAPI && \
-	$(CXX) $(CXXFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimage -o testAPI && \
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimage -o testAPI && \
 	LD_LIBRARY_PATH=$(CURDIR)/Dist ./testAPI
 	echo "Building and running the FreeImagePlus testsuite..."
 	cd $(CURDIR)/Wrapper/FreeImagePlus/test && \
-	$(CXX) $(CXXFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimageplus -lfreeimage -o fipTest && \
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -I$(CURDIR)/Dist *.cpp $(LDFLAGS) -L$(CURDIR)/Dist -lfreeimageplus -lfreeimage -o fipTest && \
 	LD_LIBRARY_PATH=$(CURDIR)/Dist ./fipTest
 endif
 
@@ -71,7 +70,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs Whatsnew.txt
-
-override_dh_strip:
-	dh_strip --package=libfreeimage3 --dbg-package=libfreeimage3-dbg
-	dh_strip --package=libfreeimageplus3 --dbg-package=libfreeimageplus3-dbg
