=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds1,uversionmangle=s/(\d)(\d+)(\d)/$1.$2.$3/ http://sf.net/freeimage FreeImage(\d+)\.zip
